Use Cases
Log In

Edit URL

GET /v2/campaigns/{id}/edit

Returns a URL where the user can edit the campaign.

Path Parameters

id
string
Required
Campaign ID.

Query Parameters

preferred_step
string
Optional

The editor step the URL should open on: template, content, agent, sender, targets, payment.

Opens the URL on the given step, but only if the campaign has already reached it. Falls back to the first incomplete step otherwise (including when this parameter is omitted).

curl -X GET 'https://www.realmailers.com/v2/campaigns/1/edit?preferred_step=content' \
  -H 'Authorization: Bearer YOUR_API_KEY USER_EMAIL'
{
  id: Number
  url: URL
}